/**
 * Copyright 2012, Media Arts Lab
 *
 * USE OF THIS SOFTWARE IS STRICTLY LIMITED TO MEDIA ARTS LAB FOR APPLE WORK
 * AND USE OF THIS SOFTWARE BY ANY OTHER PARTY IS PROHIBITED WITHOUT WRITTEN
 * PERMISSION FROM MEDIA ARTS LAB.
 *
 * changeset 27 built on 04/10/12 at 15:25:07 PM
 *
 *     scripts/MALRMVPointroll.js
 */

var MALRMVPointroll = {
	debug: true,

	paths: {
		images: './',
		scripts: './'
	},
	
	filePathProxy: function (filepath, filename) {
		// every file request goes through this method, this is where you would add additional filepath logic
		return filepath + filename;
	},
	
	onInit: function () {
		// When add gets created
		MAL.Util.log('RMV: Init Ad');
	},
	
	onLoad: function () {
		// When all the images are loaded and ad is going to play
		MAL.Util.log('RMV: Load');
	},
	
	onAnimationEnd: function () {
		// When all animation is done
		MAL.Util.log('RMV: Complete animation runthrough');
	},
	
	onClickthrough: function () {
		// Add click tracking here...
		window.open('http://apple.com');
		MAL.Util.log('RMV: clickthrough');
	}
};
var MALRMVObject = MALRMVPointroll;